﻿ @Html.DevExpress().PopupControl(
        settings =>
        {
            settings.Name = "popupMaterialNoDetails";
            settings.Width = 430;            
            settings.AllowDragging = true;
            settings.CloseAction = CloseAction.CloseButton;
            settings.PopupAnimationType = AnimationType.Fade;
            settings.HeaderText = "Material No Details";
            settings.Modal = true;
            settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
            settings.PopupVerticalAlign = PopupVerticalAlign.TopSides;
            settings.SetContent(() =>
            {
                using (Html.BeginForm("ModalMode", "PopupControl", FormMethod.Post, new { id = "popupForm", @class = "edit_form", @style = "width: 350px" })){
                    Html.Hidden("MatNo");
                    ViewContext.Writer.Write("<div class=\"line\">");
                    ViewContext.Writer.Write("<table><tr><td>");                                     
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Material No";
                            labelSettings.AssociatedControlName = "MatNo";
                            labelSettings.Width = 80;                            
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</td><td>"); 
                    Html.DevExpress().Label(
                        labelSettings => {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = ":";
                            labelSettings.Width = 10; 
                        }
                    )
                    .Render();                    
                    ViewContext.Writer.Write("</td><td>"); 
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "MatNo";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;                            
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Material Desc";
                            labelSettings.AssociatedControlName = "MaterialDesc";
                            labelSettings.Width = 80;
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "MaterialDesc";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "ICS MatNo";
                            labelSettings.AssociatedControlName = "ICSMatNo";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "ICSMatNo";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Source Type";
                            labelSettings.AssociatedControlName = "SourceType";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "SourceType";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Production Purpose";
                            labelSettings.AssociatedControlName = "ProdPurpose";
                            labelSettings.Width = 120;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "ProdPurpose";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "UoM";
                            labelSettings.AssociatedControlName = "UoM";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "UoM";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Dock";
                            labelSettings.AssociatedControlName = "DockDet";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "DockDet";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Plant";
                            labelSettings.AssociatedControlName = "Plant";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "Plant";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Sloc";
                            labelSettings.AssociatedControlName = "Sloc";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "Sloc";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "MM Pack Type";
                            labelSettings.AssociatedControlName = "MMPackType";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "MMPackType";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "PO Pack Type";
                            labelSettings.AssociatedControlName = "POPackType";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "POPackType";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Material Price";
                            labelSettings.AssociatedControlName = "MatPrice";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "MatPrice";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "PO No";
                            labelSettings.AssociatedControlName = "PONo";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "PONo";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "PO Item No";
                            labelSettings.AssociatedControlName = "POItemNo";
                            labelSettings.Width = 80;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().TextBox(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "POItemNo";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    Html.DevExpress().Label(
                        labelSettings =>
                        {
                            labelSettings.ControlStyle.CssClass = "label";
                            labelSettings.Text = "Detail Error Message";
                            labelSettings.AssociatedControlName = "DetErrorMsg";
                            labelSettings.Width = 120;                            
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Label(
                       labelSettings =>
                       {
                           labelSettings.ControlStyle.CssClass = "label";
                           labelSettings.Text = ":";
                           labelSettings.Width = 10;
                       }
                   )
                   .Render();
                    ViewContext.Writer.Write("</td><td>");
                    Html.DevExpress().Memo(
                        textBoxSettings =>
                        {
                            textBoxSettings.Name = "DetErrorMsg";
                            textBoxSettings.ControlStyle.CssClass = "editor";
                            textBoxSettings.Width = 250;
                        }
                        ).Render();
                    ViewContext.Writer.Write("</td></tr><tr><td>");
                    ViewContext.Writer.Write("</td><td>");
                    ViewContext.Writer.Write("</td><td style='display:inline-block; float:right'>");
                    Html.DevExpress().Button(
                        buttonSettings =>
                        {
                            buttonSettings.Name = "btnClose";
                            buttonSettings.ControlStyle.CssClass = "button";
                            buttonSettings.Width = 80;
                            buttonSettings.Text = "Close";
                            buttonSettings.ClientSideEvents.Click = "function(s, e){ popupMaterialNoDetails.Hide(); }";
                        }
                    )
                    .Render();
                    ViewContext.Writer.Write("</td></tr></table>");
                    ViewContext.Writer.Write("</div><div class=\"line\">");
                    Html.DevExpress().Label(
                        labelSettings => {
                            labelSettings.ControlStyle.CssClass = "label";
                        }
                    )
                    .Render();                   
                    ViewContext.Writer.Write("</div><b class=\"Clear\"></b>");
                }
            });

            //settings.ClientSideEvents.CloseUp = "function(s, e){ ASPxClientEdit.ClearEditorsInContainer(null, '', true); }";
        }).GetHtml()